Android version 4.4 and network error notifications

Jul 13, 2021 | Blog

We have been receiving plenty of feedback from you, our uMoya users about having ‘network error’ notification when trying to access some apps and websites in Discover.

If you have not yet updated your Moya to the latest version 3.3.2 (and are using the older versions of Moya v2.16 – v2.17.3/4), you are most likely to get this error message. However, if your phone runs on android version 4.4 (4.4.2 included) and have updated your Moya App to the latest version, you will get this error. This is due to software updates that are required to improve the software security to protect the users data as well as bug fixes to improve the software.

With this software update, the use and support for android 4.4 was discontinued to accommodate the updated software versions and to best protect users data. Unfortunately, there is nothing that we could do to continue support for android 4.4, however you may not be be to update your Moya App, you will still be able to chat #datafree, and have access to some apps and websites in Discover.

So if you are using a phone that has android 5.1 up to the latest update of android, you will be able to update to the latest 3.3.2 version of uMoya using the APK download (not #datafree) in the ‘Info & Questions’ folder in Discover. The link to also update Moya on Google Play is also available in the ‘UR Questions’ option.

This is not to be confused with the apps and or websites in uMoya Browser, as these apps are not #datafree and you will get an error message if you try to access them without data.

-Ps, MoyaPayD is now live on Moya! Update your Moya to the latest version (v3.2.1 or higher) to have #datafree as in mahala, dololo data costsđź‘Ś